Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Other BlackBerry® Smartphones

Reply
Highlighted
New Contributor
Posts: 2
Registered: ‎04-08-2009
My Device: Not Specified
Accepted Solution

ATT 8820 v4.5 errors

They use Common Access Cards (CAC) to do encrypted mail through the blackberries where I work. The new cacs are not recognized by the drivers that are loaded with 4.2 version of the 8820 software. I found that the 4.5 does recognize the cacs properly, but the software is giving me several errors.

 

java.lang.IllegalArgumentException when logging in to the device after a reboot

RegistryWaitFor error when logging into the device after it has timed out and locked

net_rim_bb_messaging app not responding - this one seems to happen if you attempt to access the mailbox more then once. It will not let you access the mailbox, although you can access options and other icons, then the error will come up.

 

There is one that i did not get a chance to write down that had something to do with the phone or call log that also comes up. These devices are ATT 8820 using desktop manager 4.3, software version 4.5.0.110, S/MIME 4.1, and Smart Card Reader software 4.2.0.107. It appears that the newer 8820s that came preloaded with the 4.5 are not having the issue, but if we attempt to upgrade 8820s that came loaded with 4.2, the errors occur.  The devices are worthless with the v4.5 software currently, so my only option so far has been to roll back the device software and tell the users that the smart card reader will not work currently. I have wiped the device, reloaded the OS, even hit the device with JLCommander and reloaded the O, nothing has solved this. If anyone has any ideas, I would appreciate hearing them as I am out of my own.

New Contributor
Posts: 2
Registered: ‎04-08-2009
My Device: Not Specified

Re: ATT 8820 v4.5 errors

I resolved this problem earlier today. I had previously attempted to add the 4.2 GSA CAC smart card drivers and the software told me that there was nothing to add. I deleted the vendor.xml and then the drivers were able to be added and installed on the device.